Open CASCADE Technology: GeomFill_SimpleBound Class Reference

Open CASCADE Technology 6.9.1

- Main Page
- Related Pages
- Namespaces
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

Public Member Functions
GeomFill_SimpleBound Class Reference

Defines a 3d curve as a boundary for a GeomFill_ConstrainedFilling algorithm. This curve is unattached to an existing surface.D Contains fields to allow a reparametrization of curve. More...

`#include <GeomFill_SimpleBound.hxx>`

Inheritance diagram for GeomFill_SimpleBound:
[legend]

## Public Member Functions
| GeomFill_SimpleBound (const Handle< Adaptor3d_HCurve > &Curve, const Standard_Real Tol3d, const Standard_Real Tolang)
| Constructs the boundary object defined by the 3d curve. The surface to be built along this boundary will be in the tolerance range defined by Tol3d. This object is to be used as a boundary for a GeomFill_ConstrainedFilling framework. Dummy is initialized but has no function in this class. Warning Curve is an adapted curve, that is, an object which is an interface between: More...
gp_Pnt | Value (const Standard_Real U) const
void | D1 (const Standard_Real U, gp_Pnt &P, gp_Vec &V) const
void | Reparametrize (const Standard_Real First, const Standard_Real Last, const Standard_Boolean HasDF, const Standard_Boolean HasDL, const Standard_Real DF, const Standard_Real DL, const Standard_Boolean Rev)
void | Bounds (Standard_Real &First, Standard_Real &Last) const
Standard_Boolean | IsDegenerated () const
Public Member Functions inherited from GeomFill_Boundary
virtual Standard_Boolean | HasNormals () const
virtual gp_Vec | Norm (const Standard_Real U) const
virtual void | D1Norm (const Standard_Real U, gp_Vec &N, gp_Vec &DN) const
void | Points (gp_Pnt &PFirst, gp_Pnt &PLast) const
Standard_Real | Tol3d () const
void | Tol3d (const Standard_Real Tol)
Standard_Real | Tolang () const
void | Tolang (const Standard_Real Tol)
Public Member Functions inherited from MMgt_TShared
virtual void | Delete () const
| Memory deallocator for transient classes. More...
Public Member Functions inherited from Standard_Transient
| Standard_Transient ()
| Empty constructor. More...
| Standard_Transient (const Standard_Transient &)
| Copy constructor – does nothing. More...
Standard_Transient & | operator= (const Standard_Transient &)
| Assignment operator, needed to avoid copying reference counter. More...
virtual | ~Standard_Transient ()
| Destructor must be virtual. More...
virtual const Handle_Standard_Type & | DynamicType () const
| Returns a type information object about this object. More...
Standard_Boolean | IsInstance (const Handle_Standard_Type &theType) const
| Returns a true value if this is an instance of Type. More...
Standard_Boolean | IsInstance (const Standard_CString theTypeName) const
| Returns a true value if this is an instance of TypeName. More...
Standard_Boolean | IsKind (const Handle_Standard_Type &theType) const
| Returns true if this is an instance of Type or an instance of any class that inherits from Type. Note that multiple inheritance is not supported by OCCT RTTI mechanism. More...
Standard_Boolean | IsKind (const Standard_CString theTypeName) const
| Returns true if this is an instance of TypeName or an instance of any class that inherits from TypeName. Note that multiple inheritance is not supported by OCCT RTTI mechanism. More...
virtual Handle_Standard_Transient | This () const
| Returns a Handle which references this object. Must never be called to objects created in stack. More...
Standard_Integer | GetRefCount () const
| Get the reference counter of this object. More...

## Additional Inherited Members
Protected Member Functions inherited from GeomFill_Boundary
| GeomFill_Boundary (const Standard_Real Tol3d, const Standard_Real Tolang)

## Detailed Description

Defines a 3d curve as a boundary for a GeomFill_ConstrainedFilling algorithm. This curve is unattached to an existing surface.D Contains fields to allow a reparametrization of curve.

## Constructor & Destructor Documentation

GeomFill_SimpleBound::GeomFill_SimpleBound | ( | const Handle< Adaptor3d_HCurve > & | Curve,
|  | const Standard_Real | Tol3d,
|  | const Standard_Real | Tolang
| ) |  |

Constructs the boundary object defined by the 3d curve. The surface to be built along this boundary will be in the tolerance range defined by Tol3d. This object is to be used as a boundary for a GeomFill_ConstrainedFilling framework. Dummy is initialized but has no function in this class. Warning Curve is an adapted curve, that is, an object which is an interface between:

- the services provided by a 3D curve from the package Geom
- and those required of the curve by the computation algorithm which uses it. The adapted curve is created in one of the following ways:
- First sequence: Handle(Geom_Curve) myCurve = ... ; Handle(GeomAdaptor_HCurve) Curve = new GeomAdaptor_HCurve(myCurve);
- Second sequence: // Step 1 Handle(Geom_Curve) myCurve = ... ; GeomAdaptor_Curve Crv (myCurve); // Step 2 Handle(GeomAdaptor_HCurve) Curve = new GeomAdaptor_HCurve(Crv); You use the second part of this sequence if you already have the adapted curve Crv. The boundary is then constructed with the Curve object: Standard_Real Tol = ... ; Standard_Real dummy = 0. ; myBoundary = GeomFill_SimpleBound (Curve,Tol,dummy);

## Member Function Documentation

void GeomFill_SimpleBound::Bounds | ( | Standard_Real & | First,
|  | Standard_Real & | Last
| ) |  | const
| virtual

Implements GeomFill_Boundary.

void GeomFill_SimpleBound::D1 | ( | const Standard_Real | U,
|  | gp_Pnt & | P,
|  | gp_Vec & | V
| ) |  | const
| virtual

Implements GeomFill_Boundary.

Standard_Boolean GeomFill_SimpleBound::IsDegenerated | ( |  | ) | const
| virtual

Implements GeomFill_Boundary.

void GeomFill_SimpleBound::Reparametrize | ( | const Standard_Real | First,
|  | const Standard_Real | Last,
|  | const Standard_Boolean | HasDF,
|  | const Standard_Boolean | HasDL,
|  | const Standard_Real | DF,
|  | const Standard_Real | DL,
|  | const Standard_Boolean | Rev
| ) |  |
| virtual

Implements GeomFill_Boundary.

gp_Pnt GeomFill_SimpleBound::Value | ( | const Standard_Real | U | ) | const
| virtual

Implements GeomFill_Boundary.

The documentation for this class was generated from the following file:

- GeomFill_SimpleBound.hxx